summaryrefslogtreecommitdiff
path: root/script/handle/make/file
diff options
context:
space:
mode:
Diffstat (limited to 'script/handle/make/file')
-rwxr-xr-xscript/handle/make/file9
1 files changed, 3 insertions, 6 deletions
diff --git a/script/handle/make/file b/script/handle/make/file
index 445016ea..c0a6afb4 100755
--- a/script/handle/make/file
+++ b/script/handle/make/file
@@ -46,12 +46,9 @@ run_make_command()
{
[ -f "${project}/Makefile" ] || [ -f "${project}/makefile" ] || \
[ -f "${project}/GNUmakefile" ] || return 0
- if [ -z "${mode}" ]; then
- x_ make -C "${project}" -j$(nproc)
- else
- x_ make -C "${project}" clean
- make -C "${project}" distclean 2>/dev/null || :
- fi
+ [ -z "${mode}" ] && x_ make -C "${project}" -j$(nproc) && return 0
+ x_ make -C "${project}" clean
+ make -C "${project}" distclean 2>/dev/null || :
}
main $@